
Name:           solarspeed-libzip
Version:        1.11.4
Release:        1%{?dist}
Summary:        A C library for reading, creating, and modifying zip archives
License:        BSD
URL:            https://libzip.org/
Source0:        https://libzip.org/download/libzip-%{version}.tar.gz
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Dieter Baron and Thomas Klausner
Group:          System Environment/Libraries
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  libzstd-devel
BuildRequires:  openssl-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  chrpath
Requires:       /etc/ld.so.conf.d

%global __perl_requires %{nil}
%global _prefix /home/solarspeed/libzip
%global _libdir %{_prefix}/lib64
%global _includedir %{_prefix}/include
%global _bindir %{_prefix}/bin
%global _datadir %{_prefix}/share

# Prevent RPM from scanning /home/solarspeed/libzip/bin for interpreters
%global __brp_mangle_shebangs %{nil}

%undefine __perl_provides
%undefine __perl_requires
%global __requires_exclude ^perl\\(:MODULE_COMPAT_.*\\)$

%description
libzip is a C library for reading, creating, and modifying zip archives.

%prep
%autosetup -n libzip-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
       -DBUILD_SHARED_LIBS=ON

%cmake_build

%install
%cmake_install

# Strip RPATHs from all ELF binaries in our prefix
find %{buildroot}%{_bindir} -type f -exec chrpath --delete {} \; 2>/dev/null || true

# Install custom ld.so.conf.d snippet for loader path
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}" > %{buildroot}/etc/ld.so.conf.d/solarspeed-libzip.conf

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README.md AUTHORS
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/pkgconfig/
%{_libdir}/cmake/libzip/
%{_includedir}/*
%{_datadir}/*
/etc/ld.so.conf.d/solarspeed-libzip.conf

%changelog
* Fri Jun 20 2025 Michael Stauber <mstauber@solarspeed.net> - 1.11.4-1
- Properized specfile for side-loaded libzip installation to /home/solarspeed/libzip
